HierarchyEntityControllerUpdateRaggedHierarchy Method

PUT /HierarchyEntity/RaggedHierarchy/{id} Updates the ragged hierarchy by ID.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("RaggedHierarchy")]
public IActionResult UpdateRaggedHierarchy(
	Guid id,
	[FromBodyAttribute] UpdateHierarchyOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The hierarchy ID.
options
Type: Dundas.BI.WebApi.ModelsUpdateHierarchyOptions
The options to use when updating the hierarchy.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A RaggedHierarchyEntityData object, or a status code indicating the problem.
See Also